Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class AddressEntry

    java.lang.Object
      com.compoze.exchange.AbstractItem
          com.compoze.exchange.AddressEntry

All Implemented Interfaces:
  java.io.Serializable

public class AddressEntry
extends AbstractItem
implements java.io.Serializable

This class represents an Exchange address entry.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on an address entry.

Fields inherited from class com.compoze.exchange.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getAddress()` Gets the email address of the address entry (NOTE: this will not necessarily be an SMTP address but may be an Exchange or other address).
`java.lang.String` | `getAddressEntryType()` Gets the type of the address entry.
`java.lang.String` | `getAddressType()` Gets the address type of the address entry.
`java.lang.String` | `getAssistant()` Gets the name of the assistant for the address entry.
`java.lang.String` | `getAssistantTelephoneNumber()` Gets the assistant telephone number for the address entry.
`java.lang.String` | `getBusiness2TelephoneNumber()` Gets the second business telephone number of the address entry.
`java.lang.String` | `getBusinessAddressCountry()` Gets the business address country of the address entry.
`java.lang.String` | `getBusinessTelephoneNumber()` Gets the business telephone number for the address entry.
`java.lang.String` | `getComment()` Gets the comment for the address entry.
`java.lang.String` | `getCompanyName()` Gets the company name for the address entry.
`java.lang.String` | `getDepartmentName()` Gets the department name for the address entry.
`java.lang.String` | `getDisplayName()` Gets the display name of the address entry.
`DisplayType` | `getDisplayType()` Gets the display type of the address entry.
`java.lang.String` | `getExchangeAccount()` Gets the Exchange account for the address entry.
`java.lang.String` | `getExchangeAlias()` Gets the Exchange alias for the address entry.
`FreeBusy` | `getFreeBusy()` Gets the free/busy information for the address entry for the dates that were specified when the address entry was retrieved.
`java.lang.String` | `getGivenName()` Gets the given name (first name) of the address entry.
`java.lang.String` | `getHome2TelephoneNumber()` Gets the second home telephone number of the contact.
`java.lang.String` | `getHomeServer()` Gets the home server of the mailbox represented by the address entry.
`java.lang.String` | `getHomeTelephoneNumber()` Gets the home telephone number of the contact.
`java.lang.String` | `getID()` Gets the ID of the address entry.
`java.lang.String` | `getInitials()` Gets the initials of the contact.
`java.lang.String` | `getLocality()` Gets the locality (city or town) of the contact.
`AddressEntry` | `getManager(PropertyKey[] aPropKeys)` Gets the manager address entry account for the contact
`java.lang.String` | `getManagerName()` Gets the manager name for the contact.
`AddressEntryInfo[]` | `getMembers()` Gets the members of the address entry if it is a distribution list.
`java.lang.String` | `getMobileTelephoneNumber()` Gets the mobile telephone number of the contact.
`java.lang.String` | `getOfficeLocation()` Gets the office location for the contact.
`java.lang.String` | `getPagerTelephoneNumber()` Gets the pager telephone number of the contact.
`java.lang.String` | `getPostalCode()` Gets the postal code of the contact.
`java.lang.String` | `getPrimaryAccount()` Gets the primary account for the user.
`java.lang.String` | `getPrimaryAccountSid()` Gets the SID (Security Information Descriptor) for the primary account associated with the address entry.
`java.lang.String` | `getSmtpEmailAddress()` Gets the SMTP email address.
`java.lang.String` | `getStateOrProvince()` Gets the state or province of the address entry.
`java.lang.String` | `getStreetAddress()` Gets the street address of the contact.
`java.lang.String` | `getSurname()` Gets the surname (last name) of the contact.
`java.lang.String` | `getTitle()` Gets the title of the contact.
`boolean` | `isDistributionList()` Gets if the address entry is a distrubution list, based on the display type.
`void` | `serverUpdate()` Hits the server to update any changed properties.
`java.lang.String` | `toString()` Returns the string representation of the address entry.

Methods inherited from class com.compoze.exchange.AbstractItem
`get, getBoolean, getByteArray, getDate, getDouble, getInt, getInvalidPropertyValues, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setByteArray, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on an address entry. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getAddress

    public java.lang.String getAddress()
                                throws ExchangeException

  Gets the email address of the address entry (NOTE: this will not necessarily be an SMTP address but may be an Exchange or other address).

  Returns:
    the email address of the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_ADDRESS`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws ExchangeException

  Gets the display name of the address entry.

  Returns:
    the display name of the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_DISPLAY_NAME`

### getDisplayType

    public DisplayType getDisplayType()
                               throws ExchangeException

  Gets the display type of the address entry.

  Returns:
    the display type of the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_DISPLAY_TYPE`

### getAddressType

    public java.lang.String getAddressType()
                                    throws ExchangeException

  Gets the address type of the address entry.

  Returns:
    the address type of the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_TYPE`

### getFreeBusy

    public FreeBusy getFreeBusy()
                         throws ExchangeException

  Gets the free/busy information for the address entry for the dates that were specified when the address entry was retrieved.

  Returns:
    the free/busy information
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_FREE_BUSY`

### getID

    public java.lang.String getID()
                           throws ExchangeException

  Gets the ID of the address entry.

  Returns:
    the ID
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_ID`

### getSmtpEmailAddress

    public java.lang.String getSmtpEmailAddress()
                                         throws ExchangeException

  Gets the SMTP email address.

  Returns:
    the SMTP email address
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_SMTP_EMAIL_ADDRESS`

### getAddressEntryType

    public java.lang.String getAddressEntryType()
                                         throws ExchangeException

  Gets the type of the address entry.

  Returns:
    the type of the address entry (SMTP, X400, FAX, etc.)
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_TYPE`

### getAssistant

    public java.lang.String getAssistant()
                                  throws ExchangeException

  Gets the name of the assistant for the address entry.

  Returns:
    the name of the assistant
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT`

### getAssistantTelephoneNumber

    public java.lang.String getAssistantTelephoneNumber()
                                                 throws ExchangeException

  Gets the assistant telephone number for the address entry.

  Returns:
    the assistant telephone number for the address entry.
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ASSISTANT_TELEPHONE_NUMBER`

### getBusinessAddressCountry

    public java.lang.String getBusinessAddressCountry()
                                               throws ExchangeException

  Gets the business address country of the address entry.

  Returns:
    the business address country of the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_ADDRESS_COUNTRY`

### getBusinessTelephoneNumber

    public java.lang.String getBusinessTelephoneNumber()
                                                throws ExchangeException

  Gets the business telephone number for the address entry.

  Returns:
    the business telephone number for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS_TELEPHONE_NUMBER`

### getBusiness2TelephoneNumber

    public java.lang.String getBusiness2TelephoneNumber()
                                                 throws ExchangeException

  Gets the second business telephone number of the address entry.

  Returns:
    the second business telephone number of the address entry.
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.BUSINESS2_TELEPHONE_NUMBER`

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws ExchangeException

  Gets the company name for the address entry.

  Returns:
    the company name for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### getComment

    public java.lang.String getComment()
                                throws ExchangeException

  Gets the comment for the address entry.

  Returns:
    the comment for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.COMMENT`

### getDepartmentName

    public java.lang.String getDepartmentName()
                                       throws ExchangeException

  Gets the department name for the address entry.

  Returns:
    the department name for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.DEPARTMENT_NAME`

### getExchangeAccount

    public java.lang.String getExchangeAccount()
                                        throws ExchangeException

  Gets the Exchange account for the address entry.

  Returns:
    the Exchange account for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ACCOUNT`

### getExchangeAlias

    public java.lang.String getExchangeAlias()
                                      throws ExchangeException

  Gets the Exchange alias for the address entry.

  Returns:
    the Exchange alias for the address entry
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MHS_COMMON_NAME`

### getGivenName

    public java.lang.String getGivenName()
                                  throws ExchangeException

  Gets the given name (first name) of the address entry.

  Returns:
    the given name
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.GIVEN_NAME`

### getHomeServer

    public java.lang.String getHomeServer()
                                   throws ExchangeException

  Gets the home server of the mailbox represented by the address entry.

  Returns:
    the home server
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.EMS_AB_HOME_MTA`

### getHomeTelephoneNumber

    public java.lang.String getHomeTelephoneNumber()
                                            throws ExchangeException

  Gets the home telephone number of the contact.

  Returns:
    the home telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME_TELEPHONE_NUMBER`

### getHome2TelephoneNumber

    public java.lang.String getHome2TelephoneNumber()
                                             throws ExchangeException

  Gets the second home telephone number of the contact.

  Returns:
    the second home telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.HOME2_TELEPHONE_NUMBER`

### getInitials

    public java.lang.String getInitials()
                                 throws ExchangeException

  Gets the initials of the contact.

  Returns:
    the initials of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.INITIALS`

### getSurname

    public java.lang.String getSurname()
                                throws ExchangeException

  Gets the surname (last name) of the contact.

  Returns:
    the surname of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.SURNAME`

### getLocality

    public java.lang.String getLocality()
                                 throws ExchangeException

  Gets the locality (city or town) of the contact.

  Returns:
    the locality of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.LOCALITY`

### getManagerName

    public java.lang.String getManagerName()
                                    throws ExchangeException

  Gets the manager name for the contact.

  Returns:
    the manager name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_MANAGER_NAME`

### getManager

    public AddressEntry getManager(PropertyKey[] aPropKeys)
                            throws ExchangeException

  Gets the manager address entry account for the contact

  Parameters:
    `aPropKeys` - a list of values that will be returned on the manager
  Returns:
    the manager name for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_MANAGER`

### getMobileTelephoneNumber

    public java.lang.String getMobileTelephoneNumber()
                                              throws ExchangeException

  Gets the mobile telephone number of the contact.

  Returns:
    the mobile telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.MOBILE_TELEPHONE_NUMBER`

### getOfficeLocation

    public java.lang.String getOfficeLocation()
                                       throws ExchangeException

  Gets the office location for the contact.

  Returns:
    the office location for the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.OFFICE_LOCATION`

### getPagerTelephoneNumber

    public java.lang.String getPagerTelephoneNumber()
                                             throws ExchangeException

  Gets the pager telephone number of the contact.

  Returns:
    the pager telephone number of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.PAGER_TELEPHONE_NUMBER`

### getPostalCode

    public java.lang.String getPostalCode()
                                   throws ExchangeException

  Gets the postal code of the contact.

  Returns:
    the postal code of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.POSTAL_CODE`

### getPrimaryAccountSid

    public java.lang.String getPrimaryAccountSid()
                                          throws ExchangeException

  Gets the SID (Security Information Descriptor) for the primary account associated with the address entry. The SID is an ID that can be used to uniquely idenitify the account, but the name of the primary account itself can be retrieved using `getPrimaryAccountSid()`.

  Returns:
    the SID of the primary account
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_PRIMARY_ACCOUNT`

### getPrimaryAccount

    public java.lang.String getPrimaryAccount()
                                       throws ExchangeException

  Gets the primary account for the user. A lookup is performed on the SID to determine the primary account.

  Returns:
    the primary account (in the form `DOMAIN\Username`)
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.ADDRESS_ENTRY_PRIMARY_ACCOUNT`

### getStateOrProvince

    public java.lang.String getStateOrProvince()
                                        throws ExchangeException

  Gets the state or province of the address entry.

  Returns:
    the state or province of the address entry.
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.STATE_OR_PROVINCE`

### getStreetAddress

    public java.lang.String getStreetAddress()
                                      throws ExchangeException

  Gets the street address of the contact.

  Returns:
    the street address of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.STREET_ADDRESS`

### getTitle

    public java.lang.String getTitle()
                              throws ExchangeException

  Gets the title of the contact.

  Returns:
    the title of the contact
  Throws:
    `ExchangeException`
  See Also:
    `PropertyKey.TITLE`

### getMembers

    public AddressEntryInfo[] getMembers()
                                  throws ExchangeException

  Gets the members of the address entry if it is a distribution list.

  Throws:
    `ExchangeException`

### serverUpdate

    public void serverUpdate()
                      throws ExchangeException

  Hits the server to update any changed properties.

  Specified by:
    `serverUpdate` in class `AbstractItem`
  Throws:
    `ExchangeException`

### isDistributionList

    public boolean isDistributionList()
                               throws ExchangeException

  Gets if the address entry is a distrubution list, based on the display type.

  Throws:
    `ExchangeException`

### toString

    public java.lang.String toString()

  Returns the string representation of the address entry.

  Returns:
    the string representation of the address entry
  See Also:
    `PropertyKey.ADDRESS_ENTRY_DISPLAY_NAME`, `PropertyKey.ADDRESS_ENTRY_ID`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.